| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IInspector::IValue Class Reference

`#include <IInspector.h>`

Inheritance diagram for IInspector::IValue:

[legend]
List of all members.

## Detailed Description

Definition at line 24 of file IInspector.h.

## Public Member Functions
virtual | ~IValue ()
virtual void | release ()
void * | ptr ()
const void * | ptr () const
virtual long | size () const=0
virtual void | construct (void *buffer) const=0
## Protected Member Functions
| IValue ()
## Protected Attributes
void * | m_P

## Constructor & Destructor Documentation

IInspector::IValue::IValue | ( |  | ) | `[inline, protected]`

Definition at line 27 of file IInspector.h.

    00027 {                            }

virtual IInspector::IValue::~IValue | ( |  | ) | `[inline, virtual]`

Definition at line 29 of file IInspector.h.

    00029 { }

## Member Function Documentation

virtual void IInspector::IValue::release | ( |  | ) | `[inline, virtual]`

Definition at line 30 of file IInspector.h.

    00030 {      delete this;          }

void* IInspector::IValue::ptr | ( |  | ) | `[inline]`

Definition at line 31 of file IInspector.h.

References m_P.

    00031 {      return m_P;           }

const void* IInspector::IValue::ptr | ( |  | ) | const`[inline]`

Definition at line 32 of file IInspector.h.

References m_P.

    00032 {      return m_P;           }

virtual long IInspector::IValue::size | ( |  | ) | const`[pure virtual]`

Implemented in IInspector::_V< T >.

virtual void IInspector::IValue::construct | ( | void * | buffer | ) | const`[pure virtual]`

Implemented in IInspector::_V< T >.

## Member Data Documentation

void* IInspector::IValue::m_P`[protected]`

Definition at line 26 of file IInspector.h.

Referenced by IInspector::_V< T >::_V(), and ptr().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IInspector.h